/*
    Copyright (C) 2005-2007  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "gui.h"

static void
config_changed (NNTPGrabCore *core)
{
    g_print("config_changed()\n");
}

static void
fatal_error (NNTPGrabCore *core, const char *errmsg)
{
    g_error(_("Fatal error occured:\n%s\n"), errmsg);
}

static void
warning_message (NNTPGrabCore *core, const char *msg)
{
    GtkWidget *windowMain = get_widget("windowMain");
    dialog_show(windowMain, msg, GTK_MESSAGE_WARNING, GTK_BUTTONS_OK);
}

void
callbacks_initialize()
{
    g_signal_connect(core, "config_changed", G_CALLBACK(config_changed), NULL);
    g_signal_connect(core, "fatal_error", G_CALLBACK(fatal_error), NULL);
    g_signal_connect(core, "warning_message", G_CALLBACK(warning_message), NULL);
}
